# ----- General -------------------------------------------------------------
DEBUG=off
SOURCE_FILES=language.cpp langwin.cpp

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxWorks)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------

dos16: lang16.exe

dos16b: lang1b.exe

dos32: lang32.exe

win16: wlang16.exe

win32: wlang32.exe

win32dll: wlang.exe

vxworks: vlang.o

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for lang16.exe
#
TARGET=lang16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
ADD_LIBRARIES=
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for lang1b.exe
#
TARGET=lang1b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for lang32.exe
#
TARGET=lang32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wlang16.exe
#
TARGET=wlang16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wlang32.exe
#
TARGET=wlang32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wlang.exe
#
TARGET=wlang.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

# ----- VxWorks -------------------------------------------------------------

ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vlang

#
# Build options for vlang.o
#
TARGET=vlang.o
TARGET_TYPE=exe
PLATFORM=vxworks
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=language.cpp langwin.cpp v_app.cpp
!include <zaf.mak>
